# class XMPPDirVal | Direction flags. More...
Full name | `TelEngine::XMPPDirVal`
Definition | `#include <libs/yjabber/xmpputils.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum Direction { None = 0x00, To = 0x01, From = 0x02, PendingIn = 0x10, PendingOut = 0x20, Both = 0x03, Pending = 0x30 }

#### Public Methods

- inline XMPPDirVal (int flags = None)
- inline XMPPDirVal (const String& flags)
- inline XMPPDirVal (const XMPPDirVal& other)
- inline void replace (int flag)
- inline void replace (const String& flags)
- void toString (String& buf, bool full) const
- void toSubscription (String& buf) const
- inline void set (int flag)
- inline void reset (int flag)
- inline bool test (int mask) const
- inline bool to () const
- inline bool from () const
- inline operator int ()

#### Public Members

- static const TokenDict s_names[]

## Detailed Description

This class holds a direction flags (such as subscription states)

enum Direction { None = 0x00, To = 0x01, From = 0x02, PendingIn = 0x10, PendingOut = 0x20, Both = 0x03, Pending = 0x30 } | ### Direction

Direction flags enumeration

inline XMPPDirVal (int flags = None) | ### XMPPDirVal

Constructor

Parameters:

flags | Flag(s) to set

inline XMPPDirVal (const String& flags) | ### XMPPDirVal

Constructor

Parameters:

flags | Comma separated list of flags

inline XMPPDirVal (const XMPPDirVal& other) | ### XMPPDirVal

Copy constructor

Parameters:

other | Source to copy

inline void replace (int flag) | ### replace

Replace all flags

Parameters:

flag | The new value of the flags

inline void replace (const String& flags) | ### replace

Replace all flags from a list

Parameters:

flags | Comma separated list of flags

void toString (String& buf, bool full) | ### toString

[const]

Build a string representation of this object

Parameters:

buf | Destination string
full | True to add all flags, false to ignore pending flags

void toSubscription (String& buf) | ### toSubscription

[const]

Build a subscription state string representation of this object

Parameters:

buf | Destination string

inline void set (int flag) | ### set

Set one or more flags

Parameters:

flag | Flag(s) to set

inline void reset (int flag) | ### reset

Reset one or more flags

Parameters:

flag | Flag(s) to reset

inline bool test (int mask) | ### test

[const]

Check if a given bit mask is set

Parameters:

mask | Bit mask to check

Returns: True if the given bit mask is set

inline bool to () | ### to

[const]

Check if the 'To' flag is set

Returns: True if the 'To' flag is set

inline bool from () | ### from

[const]

Check if the 'From' flag is set

Returns: True if the 'From' flag is set

inline operator int () | ### int

Cast operator

static const TokenDict s_names[] | ### s_names[]

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.